HanMacWrdJGraphInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
HanMacWrdJGraphInternal::State Struct Reference

Internal: the state of a HanMacWrdJGraph. More...

## Public Member Functions
| State ()
| constructor More...
std::shared_ptr< Frame > | findFrame (int type, int lId) const
| tries to find the lId the frame of a given type More...
const FrameFormat & | getFrameFormat (int id) const
| returns the frame format corresponding to an id More...
bool | getColor (int id, MWAWColor &col)
| returns a color correspond to an id More...
bool | getPattern (int id, Pattern &pattern)
| returns a pattern correspond to an id More...
void | initColors ()
| init the color list More...
void | initPatterns ()
| init the pattenr list More...

## Static Public Member Functions
static MWAWColor | getColor (MWAWColor col, float pattern)
| returns a color corresponding to a pattern and a color More...

## Public Attributes
std::vector< std::shared_ptr< Frame > > | m_framesList
| the list of frames More...
std::map< long, int > | m_framesMap
| a map zId->frame pos in frames list More...
std::vector< FrameFormat > | m_frameFormatsList
| the list of frame format More...
int | m_numPages
std::vector< MWAWColor > | m_colorList
| a list colorId -> color More...
std::vector< Pattern > | m_patternList
| a list patternId -> pattern More...
FrameFormat | m_defaultFormat
| empty format used to return a default format More...

## Detailed Description

Internal: the state of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## ◆ State()

HanMacWrdJGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ findFrame()

std::shared_ptr<Frame> HanMacWrdJGraphInternal::State::findFrame | ( | int | type,
|  | int | lId
| ) |  | const
| inline

tries to find the lId the frame of a given type

## ◆ getColor() [1/2]

bool HanMacWrdJGraphInternal::State::getColor | ( | int | id,
|  | MWAWColor & | col
| ) |  |
| inline

returns a color correspond to an id

## ◆ getColor() [2/2]

static MWAWColor HanMacWrdJGraphInternal::State::getColor | ( | MWAWColor | col,
|  | float | pattern
| ) |  |
| inlinestatic

returns a color corresponding to a pattern and a color

## ◆ getFrameFormat()

const FrameFormat& HanMacWrdJGraphInternal::State::getFrameFormat | ( | int | id | ) | const
| inline

returns the frame format corresponding to an id

## ◆ getPattern()

bool HanMacWrdJGraphInternal::State::getPattern | ( | int | id,
|  | Pattern & | pattern
| ) |  |
| inline

returns a pattern correspond to an id

## ◆ initColors()

void HanMacWrdJGraphInternal::State::initColors | ( |  | ) |

init the color list

## ◆ initPatterns()

void HanMacWrdJGraphInternal::State::initPatterns | ( |  | ) |

init the pattenr list

## Member Data Documentation

## ◆ m_colorList

std::vector<MWAWColor> HanMacWrdJGraphInternal::State::m_colorList

a list colorId -> color

## ◆ m_defaultFormat

FrameFormat HanMacWrdJGraphInternal::State::m_defaultFormat

empty format used to return a default format

## ◆ m_frameFormatsList

std::vector<FrameFormat> HanMacWrdJGraphInternal::State::m_frameFormatsList

the list of frame format

## ◆ m_framesList

std::vector<std::shared_ptr<Frame> > HanMacWrdJGraphInternal::State::m_framesList

the list of frames

## ◆ m_framesMap

std::map<long, int> HanMacWrdJGraphInternal::State::m_framesMap

a map zId->frame pos in frames list

## ◆ m_numPages

int HanMacWrdJGraphInternal::State::m_numPages

## ◆ m_patternList

std::vector<Pattern> HanMacWrdJGraphInternal::State::m_patternList

a list patternId -> pattern

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx